std::experimental::fundamentals_v2::owner_less< weak_ptr< _Tp > > Struct Template Reference

`#include <shared_ptr.h>`

Inherits std::_Sp_owner_less< _Tp, _Tp1 >.

## Public Types

typedef _Tp | first_argument_type
typedef bool | result_type
typedef _Tp | second_argument_type

## Public Member Functions

bool | operator() (const _Tp &__lhs, const _Tp &__rhs) const noexcept
bool | operator() (const _Tp &__lhs, const _Tp1 &__rhs) const noexcept
bool | operator() (const _Tp1 &__lhs, const _Tp &__rhs) const noexcept

## Detailed Description

template<typename _Tp>
struct std::experimental::fundamentals_v2::owner_less< weak_ptr< _Tp > >

Partial specialization of owner_less for weak_ptr.

Definition at line 515 of file experimental/bits/shared_ptr.h.

## Member Typedef Documentation

## first_argument_type

typedef _Tp std::binary_function< _Tp , _Tp , bool >::first_argument_type

inherited

`first_argument_type` is the type of the first argument

Definition at line 134 of file stl_function.h.

## result_type

typedef bool std::binary_function< _Tp , _Tp , bool >::result_type

inherited

`result_type` is the return type

Definition at line 140 of file stl_function.h.

## second_argument_type

typedef _Tp std::binary_function< _Tp , _Tp , bool >::second_argument_type

inherited

`second_argument_type` is the type of the second argument

Definition at line 137 of file stl_function.h.

## Member Function Documentation

## operator()() [1/3]

template<typename _Tp , typename _Tp1 >

bool std::_Sp_owner_less< _Tp, _Tp1 >::operator() | ( | const _Tp & | __lhs,
|  | const _Tp & | __rhs
| ) |  | const

inline noexcept inherited

Definition at line 1747 of file shared_ptr_base.h.

## operator()() [2/3]

template<typename _Tp , typename _Tp1 >

bool std::_Sp_owner_less< _Tp, _Tp1 >::operator() | ( | const _Tp & | __lhs,
|  | const _Tp1 & | __rhs
| ) |  | const

inline noexcept inherited

Definition at line 1751 of file shared_ptr_base.h.

## operator()() [3/3]

template<typename _Tp , typename _Tp1 >

bool std::_Sp_owner_less< _Tp, _Tp1 >::operator() | ( | const _Tp1 & | __lhs,
|  | const _Tp & | __rhs
| ) |  | const

inline noexcept inherited

Definition at line 1755 of file shared_ptr_base.h.

The documentation for this struct was generated from the following file:

- experimental/bits/shared_ptr.h